org.jgrapht.generate

## Class SimpleWeightedBipartiteGraphMatrixGenerator<V,E>

- java.lang.Object
- - org.jgrapht.generate.WeightedGraphGeneratorAdapter<V,E,V>
  - - org.jgrapht.generate.SimpleWeightedBipartiteGraphMatrixGenerator<V,E>

- All Implemented Interfaces:
    GraphGenerator<V,E,V>

      public class SimpleWeightedBipartiteGraphMatrixGenerator<V,E>
      extends WeightedGraphGeneratorAdapter<V,E,V>

- - ### Field Summary

    - ### Fields inherited from class org.jgrapht.generate.WeightedGraphGeneratorAdapter

      `weights`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleWeightedBipartiteGraphMatrixGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SimpleWeightedBipartiteGraphMatrixGenerator<V,E>` | `first(List<? extends V> first)`
    `void` | `generateGraph(WeightedGraph<V,E> target, VertexFactory<V> vertexFactory, Map<String,V> resultMap)`
    `SimpleWeightedBipartiteGraphMatrixGenerator<V,E>` | `second(List<? extends V> second)`

    - ### Methods inherited from class org.jgrapht.generate.WeightedGraphGeneratorAdapter

      `generateGraph, weights`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleWeightedBipartiteGraphMatrixGenerator

          public SimpleWeightedBipartiteGraphMatrixGenerator()

  - ### Method Detail

    - #### first

          public SimpleWeightedBipartiteGraphMatrixGenerator<V,E> first(List<? extends V> first)

    - #### second

          public SimpleWeightedBipartiteGraphMatrixGenerator<V,E> second(List<? extends V> second)

    - #### generateGraph

          public void generateGraph(WeightedGraph<V,E> target,
                           VertexFactory<V> vertexFactory,
                           Map<String,V> resultMap)

      Specified by:
        `generateGraph` in class `WeightedGraphGeneratorAdapter<V,E,V>`

Copyright © 2016. All rights reserved.